# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import django.core.validators


class Migration(migrations.Migration):

    dependencies = [
        ('configuration', '0003_configuration_comment'),
    ]

    operations = [
        migrations.CreateModel(
            name='FDNWhiteLabel',
            fields=[
                ('configuration_ptr', models.OneToOneField(parent_link=True, auto_created=True, primary_key=True, serialize=False, to='configuration.Configuration')),
                ('phone_number', models.CharField(help_text='Phone number associated to the DSL line', max_length=20, verbose_name='phone number')),
                ('address', models.TextField(null=True, verbose_name='adresse postale', blank=True)),
                ('postal_code', models.CharField(blank=True, max_length=5, null=True, verbose_name='code postal', validators=[django.core.validators.RegexValidator(regex='^\\d{5}$', message='Code postal non valide.')])),
                ('city', models.CharField(max_length=200, null=True, verbose_name='commune', blank=True)),
                ('ppp_login', models.CharField(max_length=200, null=True, verbose_name='identifiant PPP', blank=True)),
                ('ppp_password', models.CharField(max_length=200, null=True, verbose_name='mot de passe PPP', blank=True)),
            ],
            options={
                'verbose_name': 'marque blanche FDN',
            },
            bases=('configuration.configuration',),
        ),
    ]
